<template>
    <div>
        <custom-card>
            <auto-datatable
                model="UserInvestment"
                :filters="[
                    [
                        {label: $t('username'), name: 'f-has-like-user-username', type: 'text'},
                    ],
                    [
                        {label: $t('contract'), name: 'f-like-contract_id', type: 'text'},
                    ],
                    [
                        {label: $t('plan'), name: 'f-like-investmentPlan-code', type: 'text'},
                    ],
                    [
                        {label: $t('created_at') + '(' + $t('from') + ')', name: 'f-date-from-created_at', type: 'date'},
                        {label: $t('created_at') + '(' + $t('to') + ')', name: 'f-date-to-created_at', type: 'date'},
                    ]
                ]"
                :headers="[
                    {label: '#', name: 'id'},
                    {label: $t('contract'), name: 'contract_id'},
                    {label: $t('user'), name: 'username'},
                    {label: $t('plan'), name: 'code'},
                    {label: $t('buy_in_amount'), name: 'total_invest'},
                    {label: $t('balance'), name: 'current_balance'},
                    {label: $t('total_roi'), name: 'total_roi'},
                    {label: $t('roi_balance'), name: 'roi_balance'},
                    {label: $t('status'), name: 'status'},
                    {label: $t('opt_in'), name: 'opt_in'},
                    {label: $t('created_at'), name: 'created_at'},
                ]"
            >
                <template #default="{records}">
                    <tr
                        v-for="(record, i) in records"
                        :key="i"
                    >
                        <td>{{ i+1 }}</td>
                        <td>{{ record.contract_id }}</td>
                        <td>{{ record.username }}</td>
                        <td>{{ record.code }}</td>
                        <td>{{ $helper.fundFormat(record.total_invest) }}</td>
                        <td>{{ $helper.fundFormat(record.current_balance) }}</td>
                        <td>{{ $helper.fundFormat(record.total_roi) }}</td>
                        <td>{{ $helper.fundFormat(record.roi_balance) }}</td>
                        <td>{{ record.status_explained }}</td>
                        <td>{{ record.opt_in_explained }}</td>
                        <td>{{ $helper.dateTimeFormat(record.created_at) }}</td>
                    </tr>
                </template>
            </auto-datatable>
        </custom-card>
    </div>
</template>
<script setup>
import CustomCard from "~/components/custom-card.vue";
import AutoDatatable from "~/components/auto-datatable.vue";
import {inject, ref} from "vue";
import {useI18n} from "vue-i18n";

const $helper = inject('$helper');
const i18n = useI18n();
const model = ref(null);
</script>
